import FrontblockApiClient, { FrontblockApiConf } from "./FrontblockApiClient";
import { Plugin, socketioRPC } from "frontblock-generic/Plugin";
/**
 * Frontblock admin Plugin for FrontblockApiClient
 */
export default class FrontblockApiClientPlugin extends FrontblockApiClient implements Plugin<FrontblockApiConf> {
    name: string;
    initConfig(): FrontblockApiConf;
    exportRPCs(): socketioRPC[];
    start(): void;
    stop(): void;
}
